# GetConfigurationRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class GetConfigurationRequest

- java.lang.Object
- - io.dapr.client.domain.GetConfigurationRequest

    public class GetConfigurationRequest
    extends Object

Request to get one or more configuration items from Dapr's configuration store.

### Constructor Summary

Constructors
`GetConfigurationRequest​(String storeName, List<String> keys)` Constructor for GetConfigurationRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getKeys()`
`Map<String,​String>` `getMetadata()`
`String` `getStoreName()`
`GetConfigurationRequest` `setMetadata​(Map<String,​String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetConfigurationRequest

    public GetConfigurationRequest​(String storeName,
                                   List<String> keys)

Constructor for GetConfigurationRequest.

Parameters:
  `storeName` - Name of the configuration store
  `keys` - Keys for the configuration objects

### Method Detail

#### setMetadata

    public GetConfigurationRequest setMetadata​(Map<String,​String> metadata)

#### getStoreName

    public String getStoreName()

#### getKeys

    public List<String> getKeys()

#### getMetadata

    public Map<String,​String> getMetadata()